# build_fb: Build frame buffer backend 
#	0 = no
#	1 = yes
%define build_fb	0

# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

# enable_bootstrap: Toggle if bootstrapping package
#      0 = no
#      1 = yes
%define enable_bootstrap 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_fb: %{expand: %%define build_fb 0}}
%{?_without_bootstrap: %{expand: %%define enable_bootstrap 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_fb: %{expand: %%define build_fb 1}}
%{?_with_bootstrap: %{expand: %%define enable_bootstrap 0}}


# required version of various libraries
%define req_glib_version		2.13.1
%define req_pango_version		1.13.0
%define req_atk_version			1.2.0
%define req_cairo_version		1.2.0

%define pkgname			gtk+
%define api_version		2.0
%define binary_version	2.10
%define lib_major		0
%define libname			%mklibname %{pkgname} %{api_version} %{lib_major}
%define libname_x11		%mklibname %{pkgname}-x11- %{api_version} %{lib_major}
%define libname_linuxfb %mklibname %{pkgname}-linuxfb- %{api_version} %{lib_major}
%define libname_pixbuf  %mklibname gdk_pixbuf %{api_version} %{lib_major}

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	2.12.1
Release:        %mkrel 2
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v2.10/%{pkgname}-%{version}.tar.bz2
# extra IM modules (vietnamese and tamil) -- pablo
Patch4:		gtk+-2.10.7-extra_im.patch 
# (fc) 2.0.6-8mdk fix infinite loop and crash in file selector when / and $HOME are not readable (bug #90)
Patch5:		gtk+-2.6.9-fileselectorfallback.patch
# (fc) 2.4.0-2mdk use Ia Ora theme by default if available
Patch12:	gtk+-2.10.1-defaulttheme.patch
# (gb) 2.4.4-2mdk handle biarch
Patch13:	gtk+-2.2.4-lib64.patch
# (fc) 2.11.6-6mdv prevent Flash to crash with glib 2.12 (GNOME bug #463773) (Jan de Groot)
Patch20:	gtk+-2.11.6-preventflashcrash.patch
# (mk) rename Uzbek translations to match mdv-2008.0 locales-uz (Mdv bug #33003)	 
# gw remove this in 2008.1 once locales-uz was updated
Patch22:        gtk+-2.12.1-fix-uz-pos.patch
# (fc) 2.12.0-4mdv fix crash in XDG mime cache (Joe Shaw) (fd.o bug #12512)
Patch24:	gtk+-2.12.0-xdgcachecrash.patch
# (fc) 2.12.0-8mdv fix gdkwindow invalidation crash (Firefox print preview crash) (Mdv bug #33579)
Patch29:	gtk+-2.12.0-fixgdkupdatecrash.patch
# (fc) 2.12.1-2mdv various SVN fixes
Patch30:	gtk+-2.12.1-svnfixes.patch

Conflicts:	perl-Gtk2 < 1.113

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	gettext-devel
BuildRequires:  libglib2.0-devel >= %{req_glib_version}
BuildRequires:	libatk1.0-devel >= %{req_atk_version}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:  cairo-devel >= %{req_cairo_version}
BuildRequires:	pango-devel >= %{req_pango_version}
BuildRequires:  automake1.7
BuildRequires:  XFree86-devel
BuildRequires:  cups-devel
BuildRequires:  fam-devel
%if %mdkversion <= 200600
BuildRequires:	XFree86-Xvfb
%else
BuildRequires:  x11-server-xvfb
%endif
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
# gw tests will fail without this
BuildRequires: fonts-ttf-dejavu
%if !%{enable_bootstrap}
Suggests: xdg-user-dirs-gtk
Suggests: %{_lib}ia_ora-gnome
Suggests: ia_ora-gnome
%endif
Requires: %{libname} = %{version}
Provides:	%{pkgname}2 = %{version}-%{release}
Obsoletes:	%{pkgname}2

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}
Summary: %{summary}
Group:	 %{group}
Obsoletes:	lib%{pkgname}2
Provides:	lib%{pkgname}2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:   gtk2 = %{version}-%{release}
Requires:   libglib2.0 >= %{req_glib_version}
Requires:   libpango1.0 >= %{req_pango_version}
Requires:   libatk1.0 >= %{req_atk_version}
Conflicts:  libgnomeui2_0 <= 2.0.5
Conflicts:  gtk-engines2 <= 2.2.0-7mdk
Conflicts:  %{libname_x11} < 2.10.3-2mdv2007.0
Requires(post): 	%{libname_x11} = %{version}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n %{libname}-devel
Summary:	Development files for GTK+ (GIMP ToolKit) applications
Group:		Development/GNOME and GTK+
Obsoletes:  %{libname_x11}-devel
Provides:   %{libname_x11}-devel = %{version}-%{release}
Provides:   gtk2-devel = %{version}-%{release}
Obsoletes:	%{pkgname}2-devel
Obsoletes:  lib%{pkgname}2-devel
Provides:	%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libname_x11} = %{version}
Requires:	%{libname_pixbuf}-devel = %{version}
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}


%description -n %{libname}-devel
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).


%package -n %{libname_pixbuf}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}
Requires(post):		libtiff >= 3.6.1

%description -n %{libname_pixbuf}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname_pixbuf}-devel
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname_pixbuf} = %{version}
Requires:	libglib2.0-devel >= %{req_glib_version}

%description -n %{libname_pixbuf}-devel
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%package -n %{libname_x11}
Summary:	X11 backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Provides:	lib%{pkgname}-x11-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires(post):		%{libname_pixbuf} = %{version}
Requires:	%{name} >= %{version}-%{release}
Conflicts:  libgtk+2-devel < 2.0.0

%description -n %{libname_x11}
This package contains the X11 version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname_linuxfb}
Summary:	Frame-Buffer backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Obsoletes:	lib%{pkgname}2-linuxfb
Provides:	lib%{pkgname}2-linuxfb = %{version}-%{release}
Provides:	%{libname}-linuxfb-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires(post):		%{libname_pixbuf} = %{version}
Requires(post):		%{libname} = %{version}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname_linuxfb}
This package contains the Frame Buffer version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname_linuxfb}-devel
Summary:	Development files for frame-buffer backend of GTK+
Group:		Development/GNOME and GTK+
Obsoletes:	lib%{pkgname}2-linuxfb-devel
Provides:	lib%{pkgname}2-linuxfb-devel = %{version}-%{release}
Provides:	lib%{pkgname}-linuxfb-%{api_version}-devel = %{version}-%{release}
Requires:   %{libname}-devel = %{version}
Requires:	%{libname_linuxfb} = %{version}
Requires:	%{libname_pixbuf}-devel = %{version}
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}

%description -n %{libname_linuxfb}-devel
This package contains the development files needed to compile programs
with gtk+ Frame Buffer.

%prep
%setup -n %{pkgname}-%{version} -q
%patch4 -p1 -b .extra_im
%patch5 -p1 -b .fileselectorfallback
%patch12 -p1 -b .defaulttheme
%patch13 -p1 -b .lib64
%patch20 -p1 -b .preventflashcrash
%patch22 -p1 -b .fix-uz-pos
%patch24 -p1 -b .xdgcachecrash
%patch29 -p1 -b .fixgdkupdatecrash
%patch30 -p1 -b .svnfixes

#needed by patches 4
aclocal-1.7
automake-1.7

#needed by patches 13
autoheader
autoconf

#remove old generate file from srcdir otherwise
#it is used instead of current generated file
rm -f gtk/gtkbuiltincache.h

%build
%ifarch ppc64
export CFLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif

# Build X11 backend
#[ -d X11-build ] || mkdir X11-build
#cd X11-build

#CONFIGURE_TOP=.. 
%configure2_5x \
	--with-xinput=xfree \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

make

#cd ..
# Then build frame buffer counterpart
%if %build_fb
[ -d fb-build ] || mkdir fb-build
cd fb-build
CONFIGURE_TOP=.. %configure2_5x \
	--with-gdktarget=linux-fb \
	--enable-gtk-doc=no

%make
cd ..
%endif

%check
#cd X11-build
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%if %mdkversion <= 200600
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
%else
%{_bindir}/Xvfb :$XDISPLAY &
%endif
export DISPLAY=:$XDISPLAY
#make check
kill $(cat /tmp/.X$XDISPLAY-lock) ||:
#cd ..


%install
rm -rf $RPM_BUILD_ROOT

# Avoid conflict with different ChangeLogs
cp ./contrib/gdk-pixbuf-xlib/ChangeLog ./contrib/gdk-pixbuf-xlib/ChangeLog-gdk-pixbuf-xlib
cp ./gdk-pixbuf/ChangeLog ./gdk-pixbuf/ChangeLog-gdk-pixbuf

%if %build_fb
cd fb-build
%makeinstall_std RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false
cd ..
%endif

#cd X11-build
%makeinstall_std mandir=%{_mandir} RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

#cd ..

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders.%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

# handle biarch packages
progs="gtk-query-immodules-%{api_version} gdk-pixbuf-query-loaders"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin
for f in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$f $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin/
  cat > $RPM_BUILD_ROOT%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/gtk-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x $RPM_BUILD_ROOT%{_bindir}/$f
done

%{find_lang} gtk20
%find_lang gtk20-properties
cat gtk20-properties.lang >> gtk20.lang

#remove not packaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/printbackends/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname_pixbuf}
/sbin/ldconfig

if [ "$1" = "2" ]; then
  if [ -f %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders ]; then
    rm -f %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders
  fi
fi

%{_libdir}/gtk-%{api_version}/bin/gdk-pixbuf-query-loaders >  %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders.%{_lib}

%postun -n %{libname_pixbuf} -p /sbin/ldconfig

%post -n %{libname_x11} -p /sbin/ldconfig

%postun -n %{libname_x11} -p /sbin/ldconfig

%post -n %{libname}
if [ "$1" = "2" ]; then
  if [ -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules ]; then
    rm -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
  fi
fi

%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}

%post -n %{libname_linuxfb} -p /sbin/ldconfig
%postun -n %{libname_linuxfb} -p /sbin/ldconfig

%post 
if [ -d %{_datadir}/icons ]; then
 for i in `/bin/ls %{_datadir}/icons` ; do 
  [ -d "%{_datadir}/icons/$i" -a -e "%{_datadir}/icons/$i/icon-theme.cache" ] && gtk-update-icon-cache --force --quiet %{_datadir}/icons/$i
 done
 exit 0
fi

%files -f gtk20.lang
%defattr(-, root, root)
%doc NEWS README
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gtk-update-icon-cache
%{_datadir}/themes
%dir %{_sysconfdir}/gtk-%{api_version}
%config(noreplace) %{_sysconfdir}/gtk-%{api_version}/im-multipress.conf

%files -n %{libname}
%defattr(-, root, root)
%doc NEWS README
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/bin
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.so
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines/*.so
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/printbackends/*.so

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*
%doc %{_datadir}/gtk-doc/html/gdk
%doc %{_datadir}/gtk-doc/html/gtk
%{_bindir}/gtk-demo
%_bindir/gtk-builder-convert
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-unix-print-%{api_version}/
%{_includedir}/gtk-%{api_version}/gdk
%{_includedir}/gtk-%{api_version}/gtk
%{_libdir}/gtk-%{api_version}/include
%{_libdir}/pkgconfig/gdk-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-unix-print-%{api_version}.pc
%{_libdir}/*x11*.so
%attr(644,root,root) %{_libdir}/*x11*.la
%{_libdir}/pkgconfig/*x11*


%files -n %{libname_pixbuf}
%defattr(-, root, root)
%{_libdir}/libgdk_pixbuf*.so.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.so
%{_libdir}/gtk-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders.%{_lib}

%files -n %{libname_pixbuf}-devel
%defattr(-, root, root)
%doc contrib/gdk-pixbuf-xlib/ChangeLog-* gdk-pixbuf/ChangeLog-*
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%dir %{_includedir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk-pixbuf*
%{_libdir}/libgdk_pixbuf*.so
%attr(644,root,root) %{_libdir}/libgdk_pixbuf*.la
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_mandir}/man1/*


%files -n %{libname_x11}
%defattr(-, root, root)
%{_libdir}/*x11*.so.*

%if %build_fb
%files -n %{libname_linuxfb}
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so.*

%files -n %{libname_linuxfb}-devel
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so
%attr(644,root,root) %{_libdir}/*linux-fb*.la
%{_libdir}/pkgconfig/*linux-fb*
%endif


%changelog
* Mon Oct 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdv2008.0
+ Revision: 103005
- Patch30: various SVN fixes (GNOME bugs #491207, #488051,#479463, #468793, #486420, #488918)

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2008.1
+ Revision: 102555
- update patch 22
- new version
- drop patches 23,25,26,27,28

* Wed Oct 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-8mdv2008.1
+ Revision: 96748
- Patch29 (Kris): fix gdkwindow invalidation crash (Firefox print preview crash) (Mdv bug #33579)

* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-7mdv2008.0
+ Revision: 95322
- Patch27 (SVN): improve file chooser entry field response to Ctrl-L shortcut (GNOME bug #455284)
- Patch28 (SVN): fix filechooser date conversion for non-UTF8 locale (GNOME bug #482504)

* Wed Sep 26 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-6mdv2008.0
+ Revision: 93052
- Patch26 (SVN): fix crash when cancelling search (GNOME bug #480123)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdv2008.0
+ Revision: 92493
- Patch25: prevent crash with old eclipse release (GNOME bug #460194)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-4mdv2008.0
+ Revision: 92484
- Patch23 : various fixes from SVN
- Remove patch21 (merged in patch23)
- Patch24: fix XDG mime cache crash (fd.o bug #12512)

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdv2008.0
+ Revision: 88522
- readd patch 22 (bug #33003)

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdv2008.0
+ Revision: 85679
- Update patch12 with theme Ia Ora One for desktop metaclass

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdv2008.0
+ Revision: 85497
- Patch21 (SVN): fix icon cache validation (GNOME bug #476342)

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop merged patches 17,18,19,21,22

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-7mdv2008.0
+ Revision: 84539
- fix context menu (upstream bug #449371)

* Mon Sep 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-6mdv2008.0
+ Revision: 78683
- Patch19 (Jan de Groot): prevent Flash to crash with glib 2.12 (GNOME bug #463773)
- Patch20 (MK): rename Uzbek translations to match mdv-2008.0 locales-uz (Mdv bug #33003)

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-5mdv2008.0
+ Revision: 75709
- Patch19 (SVN): fix build with latest CUPS
- move im-multipress.conf file from lib to main package

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-4mdv2008.0
+ Revision: 60352
- Patch18 (SVN): fix crash on deprecated tooltip private field access (Mdv bug #32034)

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-3mdv2008.0
+ Revision: 60090
- Add xdg-user-dirs-gtk as suggest
- Use suggests instead of hard dependencies for ia-ora
- add bootstrap mode for those suggests
- Drop patch16, it won't be revived

* Tue Jul 31 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.6-2mdv2008.0
+ Revision: 57080
- Patch17 (SVN): fix tooltip on systray

* Sat Jul 21 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 54261
- new version

* Tue Jul 03 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 47384
- new version
- update file list

* Wed Jun 20 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 41806
- new version
- drop patch 0
- disable patch 16

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2008.0
+ Revision: 40743
- fix clash with C++ symbol

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 40593
- disable checks, they fail in iurt
- fix buildrequires
- new version

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 36051
- new version
- new version
- drop patches 15,17
- rediff patch 16
- bump deps

* Thu May 03 2007 Götz Waschk <waschk@mandriva.org> 2.10.12-1mdv2008.0
+ Revision: 21346
- new version
- update patch 17
- drop patch 18


* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.11-2mdv2007.1
+ Revision: 145284
- Patch18(SVN): fix invalid read in icon cache reload and size of filechooser

  + Thierry Vignaud <tvignaud@mandriva.com>
    - INSTALL is useless for end users; better package NEWS instead

* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.10.11-1mdv2007.1
+ Revision: 143332
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.10.10-1mdv2007.1
+ Revision: 142065
- new version
- drop patch 18

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.9-6mdv2007.1
+ Revision: 134744
-Patch18 (SVN): various bug fixes from SVN

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 2.10.9-5mdv2007.1
+ Revision: 122242
- trying to fix buildrequires for pkgconfig#

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 2.10.9-4mdv2007.1
+ Revision: 122139
- trying to fix buildrequires for pkgconfig#

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 2.10.9-3mdv2007.1
+ Revision: 122120
- rebuild for pkgconfig deps

* Thu Feb 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.10.9-2mdv2007.1
+ Revision: 117732
- Update patch17 with new version from Fedora

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.10.9-1mdv2007.1
+ Revision: 112027
- new version
- drop patch 0

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 2.10.8-2mdv2007.1
+ Revision: 111289
- fix a wrong free, trying to solve bug #28319

* Wed Jan 17 2007 Götz Waschk <waschk@mandriva.org> 2.10.8-1mdv2007.1
+ Revision: 109732
- new version
- rediff patch 17

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 2.10.7-1mdv2007.1
+ Revision: 104759
- new version
- drop patches 0,14
- rediff patches 4,15,17

* Tue Dec 12 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.10.6-5mdv2007.1
+ Revision: 95936
- 2.10.6-5mdv
- fix build on ppc64

* Mon Nov 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.6-4mdv2007.1
+ Revision: 87591
- Fix buildrequires
- Disable building in separate builddir, it breaks debug packages
- Patch14: fix icon crash (Mdv bug #27013)
- Patch15: stop cursor blinking after some time (Fedora) (CVS)
- Patch16: add fam monitoring for recent files (Fedora)
- Patch17: add search file in file selector (Fedora)

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.10.6-3mdv2007.1
+ Revision: 63821
- work around problem at check stage
- unpack patches
- Import gtk+2.0

* Fri Oct 06 2006 Gtz Waschk <waschk@mandriva.org> 2.10.6-1mdv2007.0
- fix test
- New version 2.10.6

* Wed Oct 04 2006 Gtz Waschk <waschk@mandriva.org> 2.10.5-1mdv2007.0
- new version

* Sun Sep 24 2006 Gtz Waschk <waschk@mandriva.org> 2.10.4-1mdv2007.0
- drop patch 14
- New version 2.10.4

* Fri Sep 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-4mdv2007.0
- Add missing buildrequires on cups-devel, fix missing printers on x86-64
- Add explicit requires on libia-ora_gnome to prevent 32bit engine missing
  on 64 bits system

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-3mdv2007.0
- Patch14 (CVS): various cvs fixes, including for Mdv bug #25570

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-2mdv2007.0
- don't show error if /usr/share/icons doesn't exist
- requires ia_ora-gnome (ugly but needed for upgrade)
- move gtk-input-query-method call to libname post

* Wed Sep 06 2006 Gtz Waschk <waschk@mandriva.org> 2.10.3-1mdv2007.0
- drop patch 14
- New version 2.10.3

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdv2007.0
- Patch14 (CVS): fix symbolic color parsing with some locales

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdv2007.0
- Update patch12 for orange theme

* Sat Aug 19 2006 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdv2007.0
- New release 2.10.2

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdv2007.0
- update patch12 for Ia Ora theme

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdv2007.0
- drop patch 14
- New release 2.10.1

* Fri Jul 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdv2007.0
- Patch14 (CVS): fix symbolic colors with engines (Mdv bug #346668)

* Tue Jul 04 2006 Gtz Waschk <waschk@mandriva.org> 2.10.0-1mdv2007.0
- bump deps
- drop patch 10
- New release 2.10.0

* Fri Jun 23 2006 Götz Waschk <waschk@mandriva.org> 2.9.4-1
- New release 2.9.4

* Tue Jun 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.3-2mdv2007.0
- Update glib version dependency

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.0
- bump deps
- drop patch 14
- New release 2.9.3

* Sat Jun 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.2-3mdv2007.0
- Patch14 (CVS): fix button label regression

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.2-2mdv2007.0
- Fix missing stock_icon

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.9.2-1
- New release 2.9.2

* Fri Jun 02 2006 Gtz Waschk <waschk@mandriva.org> 2.9.1-2mdv2007.0
- reenable checks

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.1-1mdv2007.0
- Release 2.9.1

* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 2.8.18-2mdv2007.0
- fix buildrequires

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 2.8.18-1mdv2007.0
- disable check, Xvfb doesn't work
- drop patch 14
- New release 2.8.18

* Thu May 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.17-4mdk
- Fix build with modular xorg

* Sat May 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.17-3mdk
- Drop explicit requires on XFree86-devel (Mdk bug #22057)

* Sat Apr 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.17-2mdk
- Patch14 (CVS): fix shifted text (GNOME bug #334582)

* Sun Apr 09 2006 Götz Waschk <waschk@mandriva.org> 2.8.17-1mdk
- New release 2.8.17

* Wed Mar 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.16-1mdk
- Release 2.8.16

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.8.15-1mdk
- run the checks with Xvfb
- New release 2.8.15

* Wed Mar 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.14-1mdk
- Release 2.8.14

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 2.8.13-1mdk
- New release 2.8.13

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 2.8.12-1mdk
- fix .la perms
- New release 2.8.12

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 2.8.11-1mdk
- drop patch 15
- New release 2.8.11

* Thu Jan 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.8.10-3mdk
- fix requires

* Thu Jan 12 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.8.10-2mdk
- fix requires

* Thu Jan 12 2006 Götz Waschk <waschk@mandriva.org> 2.8.10-1mdk
- New release 2.8.10

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 2.8.9-1mdk
- drop merged patch 16
- New release 2.8.9
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.8-2mdk
- Patch16 (CVS): various fixes for filechooser

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.8.8-1mdk
- New release 2.8.8

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 2.8.7-1mdk
- New release 2.8.7

* Wed Oct 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.6-2mdk
- Rebuild to get debug package

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.6-1mdk
- Release 2.8.6
- Remove patches 16 & 17 (merged upstream)
- Update patch4 (Gotz)

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-4mdk 
- Patch17 (CVS): various fixes

* Sat Sep 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-3mdk 
- Patch16 (CVS): fix crash in gtk fileselector

* Thu Sep 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.3-2mdk
- re-add patch15: still required

* Wed Aug 31 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-1mdk 
- Release 2.8.3
- Remove patch14 (merged upstream)

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.2-2mdk 
- Patch14 : fix crash in gdk screen

* Thu Aug 25 2005 Gtz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- drop merged patch 14
- New release 2.8.2

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-2mdk 
- Patch14 (CVS): fix default dpi and crash in theme thumbnaiL

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-1mdk 
- New release 2.8.1
- Remove patches 14 and 15 (merged upstream)

* Fri Aug 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.0-2mdk
- Patch15: fix abi check scripts for ppc

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdk 
- Release 2.8.0
- Regenerate patch12
- Remove patch14 (merged upstream)
- Patch14 (CVS): various bugfixes from CVS
- Update icon cache at post

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.9-3mdk 
- Patch14 (CVS): fix treeview refresh

* Sat Aug 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.9-2mdk 
- No longer disable gcse in gcc

* Wed Aug 03 2005 Gtz Waschk <waschk@mandriva.org> 2.6.9-1mdk
- update patch 5
- rpmbuildupdate fix
- New release 2.6.9

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 2.6.8-1mdk
- replace prereq by current syntax
- drop merged patches 14,15
- new version

* Sat Apr 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-3mdk
- patch 15: fix RTL bug with TreeViews (#12846)

* Sat Apr 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.7-2mdk 
- Patch14: remove debug output in bmp loader

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.7-1mdk
- Release 2.6.7
- Remove patches 14 & 15 (merged upstream)

* Fri Apr 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk 
- Patch14 (CVS): fix BMP vulnerability (CAN-2005-0891)
- Patch15 (CVS): fix various crashes

* Wed Mar 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.4-1mdk
- new version

* Mon Feb 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-1mdk 
- Release 2.6.3

* Fri Feb 04 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patches 14,15
- new version

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk 
- Update patch14 to fix all cases (pixel)

* Fri Jan 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk 
- Patch15 (CVS): various fixes from CVS, including one for Mdk bug #12898

* Mon Jan 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk 
- Patch14 (CVS): fix default direction when keymap is neutral

* Sun Jan 09 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- drop merged patch 14
- new version

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-3mdk 
- Patch14 (CVS): fix filechooser hang with threaded apps

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk 
- Fix conflicts

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0
- Regenerate patches 4, 10
- Remove patches 15, 16, 17, 18 (merged upstream)

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.14-1mdk
- Release 2.4.14
- Regenerate patch17
- Remove patches 19, 20 (merged upstream)

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-2mdk
- Update patch15 with crash fix from fedora
- Patch20 (CVS): speed enhancement in GtkUIManager and signal handling

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-1mdk
- Release 2.4.13
- Remove patches 14, 17, 18, 19, 20 (merged upstream)
- Regenerate patch16 (partially merged), fix '/' shortcut with french keyboard
- Patch17 (Fedora): XSync based update counter
- Patch18 (Fedora): backport support for PangoLogAttr.backspace_deletes_character
- Patch19 (Fedora): fix pa translation

* Tue Oct 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-9mdk
- Update patch14 with more cvs fixes

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-8mdk
- Patch17 (Fedora + me): improve completion popup speed for large directories
- Patch18 (Fedora): bigger arrows for path bar
- Patch19 (Fedora): improve folder selection in file chooser
- Patch20: always set cell renderer data (Mdk bug #11610)

* Fri Sep 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-7mdk
- Run automake for patch4

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-6mdk
- add prereq on latest libtiff release because ABI got broken (Mdk bug #11607)
- update patch14 with more cvs fixes (GNOME bugs 143486, #143868, 
  - Patch15 (Fedora): add typeahead for treeview
- Patch16 (Fedora): get location popup search when start typing  with /

* Sat Sep 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-5mdk
- Update patch14 with security fixes for ico, bmp and xpm loading, as
  well as check for valid utf8 in UTF-8 string selection

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-4mdk
- Update patch14 with fix for GNOME bug #152333

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-3mdk
- Update patch14 with fixes for GNOME bugs #151963, #151985 & #151752

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-2mdk
- Patch14 (CVS): various bug fixes from CVS (#151542, 151490, 131226)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-1mdk
- Release 2.4.9
- Remove patch14 (merged upstream)

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.7-2mdk
- Patch14: fix regression in pixops scaling
- disable gcc gcse, it causes wrong painting of south arrow

* Tue Aug 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.7-1mdk
- disable fb build again
- drop merged patch 11
- new version

* Thu Jul 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.4-5mdk
- fix wrapper script to handle extra dir as first parameter

* Thu Jul 22 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.4-4mdk
- remove rpath hack so it builds without gdk-pixbuf-devel installed

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4-3mdk
- Move gtk-query-immodules and gdk-pixbuf-query script to lib package
 (to be biarch friendly) (gb)

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4-2mdk
- biarch support (gb)
- Change dependency order

* Sun Jul 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4-1mdk
- fix freetype build
- reenable fb build
- New release 2.4.4

* Sat Jun 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk
- Release 2.4.3

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- disable fb (didn't build)
- reenable libtoolize
- New release 2.4.2

* Fri May 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Update patch12 to use gnome icon theme when available (Mdk bug #9688)

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Sat May 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch12 : use Galaxy theme by default if available

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0 (from Gotz)
- binary version 2.4
- requires new glib and new pango
- Remove patches patches 6, 8, 12, 14, 15, 16 17 (merged), 
  11, 16 (no longer neeed) 
- buildrequire automake1.7
- Patch11 : fix linuxfb build

